Public Attributes | List of all members
wss_init_t Struct Reference
BLE Services » Weight Scale Service (WSS) » Structures

Weight Scale Service Init variable. More...

`#include <wss.h>`

Collaboration diagram for wss_init_t:
[legend]

## Public Attributes
wss_evt_handler_t | evt_handler
| Weight Scale Service event handler. More...
uint32_t | feature
| Initial value for features. More...
uint8_t | char_mask
| Initial mask of Supported characteristics, and configured with Characteristics Mask. More...
wss_unit_t | wss_unit
| Initial the unit system as SI or Imperial. More...
wss_mass_res_t | wss_mass_res
| Initial resolution of mass value. More...
wss_height_res_t | wss_height_res
| Initial resolution of height value. More...
bool | multi_user_present
| Flag which indicates if multiple user is present. More...
bool | time_stamp_present
| Flag which indicates if time stamp is present. More...
bool | bmi_present
| Flag which indicates if bmi is present. More...

## Detailed Description

Weight Scale Service Init variable.

Definition at line 198 of file wss.h.

## Member Data Documentation

## ◆ bmi_present

bool wss_init_t::bmi_present

Flag which indicates if bmi is present.

Definition at line 208 of file wss.h.

## ◆ char_mask

uint8_t wss_init_t::char_mask

Initial mask of Supported characteristics, and configured with Characteristics Mask.

Definition at line 202 of file wss.h.

## ◆ evt_handler

wss_evt_handler_t wss_init_t::evt_handler

Weight Scale Service event handler.

Definition at line 200 of file wss.h.

## ◆ feature

uint32_t wss_init_t::feature

Initial value for features.

Definition at line 201 of file wss.h.

## ◆ multi_user_present

bool wss_init_t::multi_user_present

Flag which indicates if multiple user is present.

Definition at line 206 of file wss.h.

## ◆ time_stamp_present

bool wss_init_t::time_stamp_present

Flag which indicates if time stamp is present.

Definition at line 207 of file wss.h.

## ◆ wss_height_res

wss_height_res_t wss_init_t::wss_height_res

Initial resolution of height value.

Definition at line 205 of file wss.h.

## ◆ wss_mass_res

wss_mass_res_t wss_init_t::wss_mass_res

Initial resolution of mass value.

Definition at line 204 of file wss.h.

## ◆ wss_unit

wss_unit_t wss_init_t::wss_unit

Initial the unit system as SI or Imperial.

Definition at line 203 of file wss.h.

The documentation for this struct was generated from the following file:

- wss.h